From 5483253f02eed8731255661771e594df84891b87 Mon Sep 17 00:00:00 2001
From: Nils Philippsen <nils@redhat.com>
Date: Dec 11 2017 14:03:01 +0000
Subject: [PATCH 27/51] check that all license elements are scalars


---

diff --git a/src/_fedmod/modulemd_linter.py b/src/_fedmod/modulemd_linter.py
index 2c51377..d5c0342 100644
--- a/src/_fedmod/modulemd_linter.py
+++ b/src/_fedmod/modulemd_linter.py
@@ -296,6 +296,15 @@ class ModuleMDLinter(object):
 
     @error
     @guidelines_link('#Module_licensing')
+    @detail("Each license must be a scalar value.")
+    @prerequisite('license_blocks_are_lists')
+    def lint_licenses_scalar(self):
+        """Every module MUST contain a license block and declare a list of
+        the module's licenses."""
+        self.check_is_scalar(*self.mmd['license']['module'])
+
+    @error
+    @guidelines_link('#Module_licensing')
     @detail("The module license block must exist.")
     @prerequisite('license_block_dict')
     def lint_license_module_block_exists(self):

